## kitinerary 25.12.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(PIM_VERSION "6.6.1")
project(KItinerary VERSION ${PIM_VERSION})

set(QT_REQUIRED_VERSION "6.7.0")
set(KF_MIN_VERSION "6.9.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


ecm_setup_version(PROJECT VARIABLE_PREFIX KITINERARY
    VERSION_HEADER kitinerary_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6ItineraryConfigVersion.cmake"
    SOVERSION 6
)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui Qml)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Contacts CalendarCore I18n)
if (NOT ANDROID)
    find_package(SharedMimeInfo 1.3 REQUIRED)
endif()

set(KMIME_VERSION "6.6.1")
set(PIM_PKPASS "6.6.1")

find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
find_package(Poppler COMPONENTS Core)
set_package_properties("Poppler" PROPERTIES TYPE REQUIRED PURPOSE "Support for extraction from PDF booking confirmations.")
find_package(ZXing 2.0 CONFIG)
if (NOT TARGET ZXing::ZXing)
  find_package(ZXing 1.1.1 CONFIG)
endif()
set_package_properties("ZXing" PROPERTIES TYPE REQUIRED PURPOSE "Support for barcode decoding." URL "https://github.com/nu-book/zxing-cpp")
find_package(ZLIB REQUIRED)
set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")
find_package(LibXml2 MODULE)
set_package_properties("LibXml2" PROPERTIES PURPOSE "Support for extraction from HTML booking confirmations." URL "http://libxml.org")
find_package(libphonenumber 9.0 CONFIG)
if (NOT TARGET libphonenumber::phonenumber-shared AND NOT TARGET libphonenumber::phonenumber)
    find_package(PhoneNumber OPTIONAL_COMPONENTS PhoneNumber)
    set_package_properties("PhoneNumber" PROPERTIES PURPOSE "Parsing and geo-coding of phone numbers.")
else()
    set_package_properties("libphonenumber" PROPERTIES PURPOSE "Parsing and geo-coding of phone numbers.")
    # upstream CMake config misses transitive dependencies :(
    find_package(Boost OPTIONAL_COMPONENTS date_time system thread QUIET)
endif()
find_package(OpenSSL 1.1 REQUIRED COMPONENTS Crypto)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating the airport database (ie. you most likely don't need this)")

if (NOT ANDROID)
    set_package_properties(KF6CalendarCore PROPERTIES TYPE REQUIRED)
    set_package_properties(LibXml2 PROPERTIES TYPE REQUIRED)
endif()

if(TARGET Poppler::Core)
    # check if we have private Poppler headers
    find_file(HAVE_POPPLER_UNSTABLE_HEADERS "OutputDev.h" PATHS ${Poppler_INCLUDE_DIRS} NO_DEFAULT_PATH)
    if (NOT HAVE_POPPLER_UNSTABLE_HEADERS)
        message(FATAL_ERROR "Poppler was not build with ENABLE_UNSTABLE_API_ABI_HEADERS!")
    endif()
endif()
string(REGEX MATCH "([0-9]+)\.0*([0-9]+)\.0*([0-9]+)" _match ${Poppler_VERSION})
set(POPPLER_VERSION_MAJOR ${CMAKE_MATCH_1})
set(POPPLER_VERSION_MINOR ${CMAKE_MATCH_2})
set(POPPLER_VERSION_PATCH ${CMAKE_MATCH_3})

if (LIBXML2_FOUND)
    set(HAVE_LIBXML2 ON)
endif()
if (TARGET libphonenumber::phonenumber-shared OR TARGET libphonenumber::phonenumber OR TARGET PhoneNumber::PhoneNumber)
    set(HAVE_PHONENUMBER ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary6\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.10.0)



set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Itinerary")
set(KITINERARY_KF6_COMPAT FALSE)
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim6)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Itinerary_QCH
        FILE KPim6ItineraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6ItineraryQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6ItineraryConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6ItineraryConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6ItineraryConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPim6ItineraryTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPim6ItineraryTargets.cmake
        NAMESPACE KPim6::
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kitinerary_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM} COMPONENT Devel)

ki18n_install(po)

# for static extractor build packaging
file(WRITE ${CMAKE_BINARY_DIR}/version.txt ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kitinerary (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:46 +0100

kitinerary (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:47:56 +0100

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.9.0~),
               gettext,
               iso-codes,
               libkf6calendarcore-dev (>= 6.9.0~),
               libkf6contacts-dev (>= 6.9.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkmime-dev (>= 25.12.1~),
               libkpkpass-dev (>= 25.12.1~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               libssl-dev (>= 1.1~),
               libxkbcommon-dev,
               libxml2-dev,
               libzxing-dev (>= 2.0~),
               pkgconf,
               qml6-module-qtqml <!nocheck>,
               qml6-module-qtqml-models <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               shared-mime-info (>= 1.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kitinerary
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
Rules-Requires-Root: no

Package: libkitinerary-bin
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information - binaries
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the binaries like
  - kitinerary-extractor

Package: libkitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkpimitinerary-data,
Replaces: libkpimitinerary-data,
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkitinerary-dev
Section: libdevel
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.9.0~),
         libkf6contacts-dev (>= 6.9.0~),
         libkmime-dev (>= 25.12.1~),
         libkpim6itinerary6 (= ${binary:Version}),
         libkpkpass-dev (>= 25.12.1~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpim6itinerary6
Provides: ${ABI:VirtualPackage},
Architecture: hurd-any alpha amd64 arm64 armel armhf hppa loong64 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64
Multi-Arch: same
Depends: libkitinerary-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

## kitinerary 25.12.1+p24.04+vstable+git20260131.0203

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
@@ -50,8 +50,8 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.6.1")
-set(PIM_PKPASS "6.6.1")
+set(KMIME_VERSION "6.6.2")
+set(PIM_PKPASS "6.6.2")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)

=== debian/changelog ===
kitinerary (25.12.1+p24.04+vstable+git20260131.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:03:45 +0000

kitinerary (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:19:45 +1000

kitinerary (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:10 +1000

## kitinerary 25.12.1+p24.04+vunstable+git20260106.2016

=== debian/changelog ===
kitinerary (25.12.1+p24.04+vunstable+git20260106.2016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:16:10 +0000

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcontacts-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kpim6-kmime-dev,
               kpim6-pkpass-dev,
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               libxml2-dev,
               libzxing-dev,
               osmctools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Git: https://invent.kde.org/neon/kde/kitinerary.git
Vcs-Browser: https://invent.kde.org/neon/kde/kitinerary
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-itinerary
Architecture: any
X-Neon-MergedPackage: true
Depends: osmctools, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpimitinerary-data, libkpimitinerary5, libkpimitinerary6
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.

Package: kpim6-itinerary-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-itinerary (= ${binary:Version}),
         kpim6-kmime-dev,
         kpim6-pkpass-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkpimitinerary-dev
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary-data
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary-dev
Architecture: all
Depends: kpim6-itinerary-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary5
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimitinerary6
Architecture: all
Depends: kpim6-itinerary, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kitinerary 25.12.1+p24.04+vunstable+git20260201.0608

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,23 @@
-# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2018-2026 Laurent Montel <montel@kde.org>
 # SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.40")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
-set(KF_MIN_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.21.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -50,8 +49,8 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.6.2")
-set(PIM_PKPASS "6.6.2")
+set(KMIME_VERSION "6.6.40")
+set(PIM_PKPASS "6.6.40")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
@@ -106,6 +105,11 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.10.0)

=== debian/changelog ===
kitinerary (25.12.1+p24.04+vunstable+git20260201.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:08:18 +0000

## kitinerary 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,24 @@
-# SPDX-FileCopyrightText: 2018-2026 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2018-2025 Laurent Montel <montel@kde.org>
 # SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.2")
 project(KItinerary VERSION ${PIM_VERSION})
 
 set(QT_REQUIRED_VERSION "6.7.0")
-set(KF_MIN_VERSION "6.21.0")
+set(KF_MIN_VERSION "6.9.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -49,17 +50,19 @@
     find_package(SharedMimeInfo 1.3 REQUIRED)
 endif()
 
-set(KMIME_VERSION "6.6.40")
-set(PIM_PKPASS "6.6.40")
+set(KMIME_VERSION "6.6.2")
+set(PIM_PKPASS "6.6.2")
 
 find_package(KPim6Mime ${KMIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6PkPass ${PIM_PKPASS} CONFIG REQUIRED)
 find_package(Poppler COMPONENTS Core)
 set_package_properties("Poppler" PROPERTIES TYPE REQUIRED PURPOSE "Support for extraction from PDF booking confirmations.")
-find_package(ZXing 2.0 CONFIG)
-if (NOT TARGET ZXing::ZXing)
-  find_package(ZXing 1.1.1 CONFIG)
-endif()
+foreach(ver 3.0 2.0 1.1.1)
+    find_package(ZXing ${ver} CONFIG QUIET)
+    if (TARGET ZXing::ZXing)
+        break()
+    endif()
+endforeach()
 set_package_properties("ZXing" PROPERTIES TYPE REQUIRED PURPOSE "Support for barcode decoding." URL "https://github.com/nu-book/zxing-cpp")
 find_package(ZLIB REQUIRED)
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Support for decoding UIC 918-3 train tickets.")
@@ -105,11 +108,6 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kitinerary6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.10.0)

=== debian/changelog ===
kitinerary (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:44:37 +0000

kitinerary (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:40:32 +0000

kitinerary (25.12.1-0ubuntu2) resolute; urgency=medium

  * Use arch:any in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:29:37 +0000

kitinerary (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:06:16 +0000

=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               iso-codes,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkmime-dev (>= 25.12.2~),
               libkpkpass-dev (>= 25.12.2~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               libssl-dev (>= 1.1~),
               libxkbcommon-dev,
               libxml2-dev,
               libzxing-dev (>= 2.0~),
               pkgconf,
               qml6-module-qtqml <!nocheck>,
               qml6-module-qtqml-models <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               shared-mime-info (>= 1.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kitinerary
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitinerary
Rules-Requires-Root: no

Package: libkitinerary-bin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for Travel Reservation information - binaries
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the binaries like
  - kitinerary-extractor

Package: libkitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkpimitinerary-data,
Replaces: libkpimitinerary-data,
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkmime-dev (>= 25.12.2~),
         libkpim6itinerary6 (= ${binary:Version}),
         libkpkpass-dev (>= 25.12.2~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpim6itinerary6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkitinerary-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
